Skip to main content
DELETE
/
v1
/
external-trackers
/
wokus
/
{wokuId}
/
{trackerName}
Remove a tracker value from a Woku
curl --request DELETE \
  --url https://clientapi.woku.app/v1/external-trackers/wokus/{wokuId}/{trackerName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://clientapi.woku.app/v1/external-trackers/wokus/{wokuId}/{trackerName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://clientapi.woku.app/v1/external-trackers/wokus/{wokuId}/{trackerName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "507f1f77bcf86cd799439015",
  "companyId": "507f1f77bcf86cd799439012",
  "wokuId": "507f1f77bcf86cd799439011",
  "trackerId": "507f1f77bcf86cd799439014",
  "value": "TX-2026-00043",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Path Parameters

wokuId
string
required

MongoDB ObjectId of the Woku.

Pattern: ^[0-9a-fA-F]{24}$
trackerName
string
required

Name of the company-level tracker definition.

Response

Value removed

Value of a tracker bound to a specific Woku.

_id
string
required
Example:

"507f1f77bcf86cd799439015"

companyId
string
required
Example:

"507f1f77bcf86cd799439012"

wokuId
string
required

Woku this value belongs to.

Example:

"507f1f77bcf86cd799439011"

trackerId
string
required

Reference to the company-level tracker definition.

Example:

"507f1f77bcf86cd799439014"

value
string
required

External identifier (e.g. CRM transaction id).

Maximum string length: 500
Example:

"TX-2026-00043"

createdAt
string<date-time>
updatedAt
string<date-time>